lookupAccountCreatedAssets | Algorand Developer Portal

lookupAccountCreatedAssets

GET

/v2/accounts/{account-id}/created-assets

Lookup an account’s created asset parameters, optionally for a specific ID.

Parameters

Path Parameters

account-id
required
string
Account string

Query Parameters

asset-id
integer
Asset ID

include-all
boolean
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.

limit
integer
Maximum number of results to return. There could be additional pages even if the limit is not reached.

next
string
The next page of results. Use the next token provided by the previous results.

Responses

200

(empty) Select media type application/json

object

assets
required
Array
Specifies both the unique identifier and the parameters for an asset

object

created-at-round
Round during which this asset was created.

integer

deleted
Whether or not this asset is currently deleted.

boolean

destroyed-at-round
Round during which this asset was destroyed.

integer

index
required
Unique asset identifier

integer

params
required
AssetParams specifies the parameters for an asset.

object

clawback
Address of account used to clawback holdings of this asset. If empty, clawback is not permitted.

string

creator
required
The address that created this asset. This is the address where the parameters for this asset can be found, and also the address where unwanted asset units can be sent in the worst case.

string

decimals
required
The number of digits to use after the decimal point when displaying this asset. If 0, the asset is not divisible. If 1, the base unit of the asset is in tenths. If 2, the base unit of the asset is in hundredths, and so on. This value must be between 0 and 19 (inclusive).

integer

default-frozen
Whether holdings of this asset are frozen by default.

boolean

freeze
Address of account used to freeze holdings of this asset. If empty, freezing is not permitted.

string

manager
Address of account used to manage the keys of this asset and to destroy it.

string

metadata-hash
A commitment to some unspecified asset metadata. The format of this metadata is up to the application.

string format: byte

name
Name of this asset, as supplied by the creator. Included only when the asset name is composed of printable utf-8 characters.

string

name-b64
Base64 encoded name of this asset, as supplied by the creator.

string format: byte

reserve
Address of account holding reserve (non-minted) units of this asset.

string

total
required
The total number of units of this asset.

integer

unit-name
Name of a unit of this asset, as supplied by the creator. Included only when the name of a unit of this asset is composed of printable utf-8 characters.

string

unit-name-b64
Base64 encoded name of a unit of this asset, as supplied by the creator.

string format: byte

url
URL where more information about the asset can be retrieved. Included only when the URL is composed of printable utf-8 characters.

string

url-b64
Base64 encoded URL where more information about the asset can be retrieved.

string format: byte

current-round
required
Round at which the results were computed.

integer

next-token
Used for pagination, when making another request provide this token with the next parameter.

string

400

Response for errors

Select media type application/json

object

data
object

message
required
string

404

Response for errors

Select media type application/json

object

data
object

message
required
string

500

Response for errors

Select media type application/json

object

data
object

message
required
string